<div class="container-fluid mx-auto mb-5" *ngIf="loading">
  <div class="row">
    <div class="card col-md-6 col-md-offset-3 mx-auto">
      <div id="panel-creation_flat" class="panel panel-creation_flat">
        <div class="col-xs-10" id="title">
          <h4>Modifier ce type d'appartement :</h4>
        </div>
        <div class="panel-body">
          <div class="row">
            <div class="col-lg-12">
              <form [formGroup]="flatForm" (ngSubmit)="flatForm.valid && submitRegistration(flatForm.value)" novalidate>
                <div class="form-group">
                  <textarea class="col-lg-12" placeholder="Entrez la description du logement..." formControlName="flatDescription"
                    [ngModel]="flat?.flatDescription" required></textarea>
                </div>

                <div class="form-group">
                  <input type="text" id="flat_guidance" name="flatGuidance" class="form-control" tabindex="2"
                    placeholder="Entrez l'orientation du logement..." [ngModel]="flat?.flatGuidance" formControlName="flatGuidance"
                    required>
                </div>
                <div class="form-group">
                  <input type="number" tabindex="3" class="form-control" id="flatCapacity" placeholder="Entrez la capacité du logement en terme de personnes..."
                    [ngModel]="flat?.flatCapacity" formControlName="flatCapacity">
                </div>
                <div class="form-group">
                  <img [style.width.px]="urlCompo.adjustedWidth" [style.height.px]="150" *ngIf="urlCompo.loadingPhoto && base64Image !== undefined"
                    [src]="base64Image">
                  <div fxlayoutAlign="center center" layout-fill>
                    <input type="file" tabindex="2" accept="image/x-png,image/gif,image/jpeg" formDataName="photo"
                      (change)="changeListener($event)" value="{{picture?.photo}}" />
                  </div>
                </div>
                <div class="form-group">
                  <div class="row">
                    <div class="col-sm-6 col-sm-offset-3">
                      <button tabindex="5" class=' form-control btn btn-primary' type='submit' [disabled]='!flatForm.valid'>Modifier
                        ce type d'appartement pour cet
                        hôtel uniquement</button>
                    </div>
                    <div class="col-sm-6 col-sm-offset-3">
                      <button tabindex="5" class=' form-control btn btn-primary' (click)="deleteFlat()">Supprimer
                        ce type d'appartement pour cet hôtel uniquement</button>
                    </div>
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
